@echo off
if "%~1"=="" goto help
echo Patchen...
"%~dp0xdelta" -dfs %1 "%~dp0hgpatch.xdelta" "%~dpn1-dutch%~x1"
if %ERRORLEVEL%==9009 goto missingxdelta
if %ERRORLEVEL%==1 goto patchfailed
echo Klaar! Het gepatched bestand is in dezelfde map als het originele bestand geplaatst.
echo Als de patch niet werkt, zorg er dan voor dat u de originele, niet verkleinde,
echo niet gepatchte ROM heeft.
echo Veel plezier met de Nederlandse vertaling van Heart Gold!
goto end

:missingxdelta
echo.
echo Kan het xdelta patchingsprogramma niet vinden. Zorg ervoor dat alle bestanden
echo van de patch naar dezelfde map zijn geplaatst voordat dit wordt opstart.
goto end

:patchfailed
echo.
echo Het xdelta patchingsprogramma kon de patch niet toepassen. Zorg ervoor dat u de
echo originele (niet gepatchte en niet verkleinde) ROM heeft en alle patchbestanden naar
echo dezelfde map verplaatst voordat dit wordt opgestart.
goto end

:help
echo U bent er bijna, maar probeer het Sleep Rom Hier bestand niet zelf te openen.
echo Sluit dit venster en sleep het originele (niet gepatchte en niet verkleinde)
echo ROM bestand naar het Sleep Rom Hier bestand als u het spel wilt patchen.
echo Het gepatchte bestand zal in dezelfde map verschijnen als het originele
echo bestand, met een andere naam.

:end
echo.
pause
cls